Package fr.gouv.vitam.metadata.client

# Enum Class ErrorMessage

java.lang.Object
java.lang.Enum<ErrorMessage>
fr.gouv.vitam.metadata.client.ErrorMessage

All Implemented Interfaces:
  `Serializable`, `Comparable<ErrorMessage>`, `Constable`

public enum ErrorMessage extends Enum<ErrorMessage>
Error Message for Metadata

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLANK_PARAM`
  message when unit id parameter is blank
  `DATA_ALREADY_EXISTS`
  message when data insert/update exists
  `INSERT_UNITS_QUERY_NULL`
  message when insert units query is null
  `INTERNAL_SERVER_ERROR`
  message when internal server error occured
  `INVALID_METADATA_VALUE`
  when invalid metadata values
  `INVALID_PARSE_OPERATION`
  message when parsing an invalid json
  `MISSING_SELECT_QUERY`
  when missing select query
  `NOT_FOUND`
  message when querying data not found
  `SELECT_OBJECT_GROUP_QUERY_NULL`
  message when select objectgroup query is null
  `SELECT_UNITS_QUERY_BULK_NULL`
  message when select units query bulk is null
  `SELECT_UNITS_QUERY_NULL`
  message when select units query is null
  `SIZE_TOO_LARGE`
  message when document size of unit is too large
  `UPDATE_OBJECT_GROUP_QUERY_NULL`
  message when update object group query is null
  `UPDATE_UNITS_QUERY_BULK_NULL`
  message when insert units query bulk is null
  `UPDATE_UNITS_QUERY_NULL`
  message when update units query is null

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`
  `static ErrorMessage`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ErrorMessage[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SELECT_UNITS_QUERY_NULL

    public static final ErrorMessage SELECT_UNITS_QUERY_NULL
    message when select units query is null

  - ### SELECT_UNITS_QUERY_BULK_NULL

    public static final ErrorMessage SELECT_UNITS_QUERY_BULK_NULL
    message when select units query bulk is null

  - ### SELECT_OBJECT_GROUP_QUERY_NULL

    public static final ErrorMessage SELECT_OBJECT_GROUP_QUERY_NULL
    message when select objectgroup query is null

  - ### UPDATE_UNITS_QUERY_NULL

    public static final ErrorMessage UPDATE_UNITS_QUERY_NULL
    message when update units query is null

  - ### UPDATE_UNITS_QUERY_BULK_NULL

    public static final ErrorMessage UPDATE_UNITS_QUERY_BULK_NULL
    message when insert units query bulk is null

  - ### UPDATE_OBJECT_GROUP_QUERY_NULL

    public static final ErrorMessage UPDATE_OBJECT_GROUP_QUERY_NULL
    message when update object group query is null

  - ### INSERT_UNITS_QUERY_NULL

    public static final ErrorMessage INSERT_UNITS_QUERY_NULL
    message when insert units query is null

  - ### BLANK_PARAM

    public static final ErrorMessage BLANK_PARAM
    message when unit id parameter is blank

  - ### INTERNAL_SERVER_ERROR

    public static final ErrorMessage INTERNAL_SERVER_ERROR
    message when internal server error occured

  - ### SIZE_TOO_LARGE

    public static final ErrorMessage SIZE_TOO_LARGE
    message when document size of unit is too large

  - ### INVALID_PARSE_OPERATION

    public static final ErrorMessage INVALID_PARSE_OPERATION
    message when parsing an invalid json

  - ### INVALID_METADATA_VALUE

    public static final ErrorMessage INVALID_METADATA_VALUE
    when invalid metadata values

  - ### MISSING_SELECT_QUERY

    public static final ErrorMessage MISSING_SELECT_QUERY
    when missing select query

  - ### DATA_ALREADY_EXISTS

    public static final ErrorMessage DATA_ALREADY_EXISTS
    message when data insert/update exists

  - ### NOT_FOUND

    public static final ErrorMessage NOT_FOUND
    message when querying data not found

- ## Method Details

  - ### values

    public static ErrorMessage[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ErrorMessage valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getMessage

    public String getMessage()
    Returns:
      the associated message